"""create table for logistics
Revision ID: 1d4f21e8c5f9
Revises: 2f9d3b7c8a4a
Create Date: 2023-05-23 12:34:56

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '1d4f21e8c5f9'
down_revision = '2f9d3b7c8a4a'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "logistics"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('details', sa.Text(), nullable=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )

def downgrade():
    table_name = "logistics"
    op.drop_table(table_name)