from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from typing import List
from core.database import get_db
from schemas.logistics import LogisticsSchema
from helpers.logistics_helpers import get_all_logistics

router = APIRouter()

@router.get("/Logisticsapp", status_code=200, response_model=List[LogisticsSchema])
async def get_logistics(db: Session = Depends(get_db)):
    logistics_list = get_all_logistics(db)
    return logistics_list